﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Movable : MonoBehaviour
{
    private Vector3 startPosition;
    public Vector3 targetPosition { get; private set; }
    private float time;
    private float timeToReachTarget;

    void Start()
    {
        startPosition = targetPosition = transform.position;
    }

    void Update()
    {
        time += Time.deltaTime / timeToReachTarget;
        transform.position = Vector3.Lerp(startPosition, targetPosition, time);
    }

    public void SetDestination(Vector3 destination, float time)
    {
        this.time = 0;
        startPosition = transform.position;
        timeToReachTarget = time;
        targetPosition = destination;
    }
}
